Package org.eclipse.graphiti.ui.internal.figures

# Class GFTextFlow

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.text.FlowFigure
org.eclipse.draw2d.text.InlineFlow
org.eclipse.draw2d.text.TextFlow
org.eclipse.graphiti.ui.internal.figures.GFTextFlow

All Implemented Interfaces:
  `org.eclipse.draw2d.IFigure`

public class GFTextFlow extends org.eclipse.draw2d.text.TextFlow

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch, org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.text.FlowFigure

`selectionStart`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`GFTextFlow(MultiText multiText, IConfigurationProviderInternal configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getBidiSubstring(org.eclipse.draw2d.text.TextFragmentBox box, int index)`
`void`
`paint(org.eclipse.draw2d.Graphics graphics)`
`protected void`
`paintText(org.eclipse.draw2d.Graphics g, String draw, int x, int y, int bidiLevel)`
`void`
`setSuppressText(boolean suppressText)`

### Methods inherited from class org.eclipse.draw2d.text.TextFlow

`addLeadingWordRequirements, contributeBidi, createDefaultFlowLayout, getBidiInfo, getCaretPlacement, getFirstOffsetForLine, getFlowUtilities, getFragments, getFragmentsWithoutBorder, getLastOffsetForLine, getNextOffset, getNextVisibleOffset, getOffset, getPreviousVisibleOffset, getText, getTextUtilities, isTextTruncated, paintFigure, paintSelection, setBidiInfo, setSelection, setText, toString`

### Methods inherited from class org.eclipse.draw2d.text.InlineFlow

`containsPoint, paintBorder, postValidate, setBorder`

### Methods inherited from class org.eclipse.draw2d.text.FlowFigure

`add, remove, revalidateBidi, setBounds, setFlowContext`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paintChildren, paintClientArea, primTranslate, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GFTextFlow

public GFTextFlow(MultiText multiText, IConfigurationProviderInternal configurationProvider)

## Method Details

### paint

public void paint(org.eclipse.draw2d.Graphics graphics)

Specified by:
  `paint` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `paint` in class `org.eclipse.draw2d.Figure`

### getBidiSubstring

protected String getBidiSubstring(org.eclipse.draw2d.text.TextFragmentBox box, int index)

Overrides:
  `getBidiSubstring` in class `org.eclipse.draw2d.text.TextFlow`

### paintText

protected void paintText(org.eclipse.draw2d.Graphics g, String draw, int x, int y, int bidiLevel)

Overrides:
  `paintText` in class `org.eclipse.draw2d.text.TextFlow`

### setSuppressText

public void setSuppressText(boolean suppressText)